import React, { useState, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3';

import { VictoryBar, VictoryChart } from 'Victory';

const row = d => {
  d.population = +d.population;
  return d;
};

const App = () => {
  const [data, setData] = useState([]);
  
  useEffect(() => {
    csv('data.csv', row).then(setData);
  }, []);
  
  const handleClick = () => {
  }
  
  return (
    <div>
            <button onClick={e => handleClick(e)}>click</button>

    <VictoryChart
      style={{tickLabels: {fontSize: 120}}}
      width='960'
      height='500'
      domainPadding={50}
      padding={{ top: 10, bottom: 76, left: 80, right: 10 }}
    >
      <VictoryBar data={data} x="country" y="population" />
      
    </VictoryChart>
      </div>
  );
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);